/*
############################################################################
#####                                                                  #####
#####                        ABB Automation Products                   #####
#####                                                                  #####
#####                             abbdeftbdiag_01.h                    #####
#####                                                                  #####
#####                  define tables for DD variables                  #####
#####                            extended diagnosis                    #####
############################################################################

This software may not be used, either directly or by reference,
such that the software provides functionality to an end customer,
unless explicitly lisenced by ABB Automation Products GmbH.

############################################################################

Author:         ABB Automation Products GmbH
                37070 Goettingen
                Germany
                Fax: +49 551/905720

****************************************************************************
                Revision:						0

Date:           20.July 2007

                Revision:						01

Date:           04.April 2008

changed:
               validity_c_sw_diag_hw
               validity_c_sw_diag_primary

removed:
               validity_c_software


*/
#define			table_EinAusErr						  							\
     					{   0,  "|en|Off" 										  \
     							"|de|AUS" 										      \
     									},										          \
    					{   1,  "|en|Warning"									  \
    							"|de|Warnung"						            \
    									},                              \
    					{   2,  "|en|Error"	  									\
    						    "|de|Fehler"									    \
    									}

#define			table_StartDiagnosis     			        \
              {                                   \
                  0,	"|en|Manual"                \
                        "|de|Manuell"             \
                    },                            \
              {                                   \
                  1,	"10s"                       \
                    },                            \
              {                                   \
                  2,	"60s"                       \
                    },                            \
              {                                   \
                  3,	"10min"                     \
                    },                            \
              {                                   \
                  4,	"60min"                     \
                    },                            \
              {                                   \
                  5,	"6h"                        \
                    },                            \
              {                                   \
                  6,	"12h"                       \
                    },                            \
              {                                   \
                  7,	"24h"                       \
                    },                            \
              {                                   \
                  8,	"7d"                        \
                    }


#define			Table_NoiseReduc  				  					\
     					{   0,  "|en|Noise red. Off"				\
     							"|de|Stoerredu Off"  	  				\
     									},								          \
     					{   1,  "|en|Noise red. 1"  				\
     							"|de|Stoerredu 1"   	  				\
     									},						     	        \
     					{   2,  "|en|Noise red. 2"  				\
     							"|de|Stoerredu 2"   	  				\
     									},								          \
     					{   3,  "|en|Noise red. 3"  				\
     							"|de|Stoerredu 3"   	  				\
     									},								          \
     					{   4,  "|en|Noise red. 4"  				\
     							"|de|Stoerredu 4"   	  				\
     									}

#define			Table_HardwareDetect			  						\
     					{   b_hw,  "|en|B-Hardware"      		  \
     							       "|de|B-Hardware"    	  		\
     									},								            \
     					{   c_hw,  "|en|C-Hardware"  			  	\
     							       "|de|C-Hardware"   	  		\
     									}

#define			Table_ErrorMask     			  						\
     					{   0,  "|en|off"      	        			\
     							    "|de|aus"           	  			\
     									},								            \
     					{   1,  "|en|on"          			  		\
     							    "|de|ein"         	  		    \
     									}

#define			einheit_meter     		                               \
            UNITS_CODE (45 )           /* m        */
#define			einheit_celsius   		                               \
            UNITS_CODE (32 )           /* Celsius   */
#define			einheit_ohm   		                                   \
            UNITS_CODE (37 )           /* Ohms   */
#define			einheit_Mohm   		                                   \
            UNITS_CODE (163)           /* Mega-Ohm   */
#define			einheit_millivolt   	                               \
            UNITS_CODE (36)            /* milli-volt   */
#define			einheit_microvolt   	                               \
            UNITS_CODE (249)           /* micro-volt   */
#define			einheit_volt   	                                     \
            UNITS_CODE (58)            /* volt   */
#define			einheit_grad   	                                     \
            UNITS_CODE (143)           /* grad   */
#define			einheit_hours   	                                   \
            UNITS_CODE (52)            /* hours   */

#define			c_hw   	                                   \
            0            /* extended diagnosis / SE primary   */
#define			b_hw   	                                   \
            1            /* no extended diagnosis   */

#define			b_sw   	                                   \
            0            /* b software   */


#define validity_ext_diag_and_manual                    \
                      VALIDITY                          \
                        IF                              \
                        (mode_start_diag == 0)          \
                          { TRUE; }                     \
                        ELSE                            \
                          { FALSE; }

#define validity_c_sw_diag_hw                         \
           VALIDITY                                   \
               IF (ucHardwareDetect == c_hw)          \
                                          { TRUE; }   \
                        ELSE                          \
                                          { FALSE; }

#define validity_c_sw_diag_primary                    \
           VALIDITY                                   \
               IF (ucAufnehmerTyp == c_hw)            \
                                          { TRUE; }   \
                        ELSE                          \
                                          { FALSE; }

#define DEF_WORKING_HOURS_HIST                                           \
          /* working hours converter  */                                 \
            ulWorkingHoursConverter_A 	(DISPLAY_VALUE, READ_ONLY)       \
           ,ulWorkingHoursConverter_0 	(DISPLAY_VALUE, READ_ONLY)       \
           ,ulWorkingHoursConverter_1 	(DISPLAY_VALUE, READ_ONLY)       \
           ,ulWorkingHoursConverter_2 	(DISPLAY_VALUE, READ_ONLY)       \
           ,ulWorkingHoursConverter_3 	(DISPLAY_VALUE, READ_ONLY)       \
           ,ulWorkingHoursConverter_4 	(DISPLAY_VALUE, READ_ONLY)       \
           ,ulWorkingHoursConverter_5 	(DISPLAY_VALUE, READ_ONLY)       \
           ,ulWorkingHoursConverter_6 	(DISPLAY_VALUE, READ_ONLY)       \
           ,ulWorkingHoursConverter_7 	(DISPLAY_VALUE, READ_ONLY)       \
           ,ulWorkingHoursConverter_8 	(DISPLAY_VALUE, READ_ONLY)       \
           , COLUMNBREAK                                                 \
          /* working hours primary  */                                   \
           ,ulWorkingHoursPrimary_A 	(DISPLAY_VALUE, READ_ONLY)         \
           ,ulWorkingHoursPrimary_0 	(DISPLAY_VALUE, READ_ONLY)         \
           ,ulWorkingHoursPrimary_1 	(DISPLAY_VALUE, READ_ONLY)         \
           ,ulWorkingHoursPrimary_2 	(DISPLAY_VALUE, READ_ONLY)         \
           ,ulWorkingHoursPrimary_3 	(DISPLAY_VALUE, READ_ONLY)         \
           ,ulWorkingHoursPrimary_4 	(DISPLAY_VALUE, READ_ONLY)         \
           ,ulWorkingHoursPrimary_5 	(DISPLAY_VALUE, READ_ONLY)         \
           ,ulWorkingHoursPrimary_6 	(DISPLAY_VALUE, READ_ONLY)         \
           ,ulWorkingHoursPrimary_7 	(DISPLAY_VALUE, READ_ONLY)         \
           ,ulWorkingHoursPrimary_8 	(DISPLAY_VALUE, READ_ONLY)         \
           , COLUMNBREAK


#define DEF_WORKING_HOURS                                                \
          /* working hours converter  */                                 \
            ulWorkingHoursConverter_A 	(DISPLAY_VALUE, READ_ONLY)       \
           ,ulWorkingHoursPrimary_A   	(DISPLAY_VALUE, READ_ONLY)



#define   displ_format_51                               \
          DISPLAY_FORMAT "6.1f";                        \
          EDIT_FORMAT "6.1f";

#define   displ_format_52                               \
          DISPLAY_FORMAT "6.2f";                        \
          EDIT_FORMAT "6.2f";

#define   displ_format_42                               \
          DISPLAY_FORMAT "5.2f";                        \
          EDIT_FORMAT "5.2f";


#define   scal_factor_01                                \
          SCALING_FACTOR 0.1;

#define   scal_factor_001                               \
          SCALING_FACTOR 0.01;


#define   scal_factor_3600                              \
          SCALING_FACTOR 0.000277777;

